package ornek;

import java.util.List;

import tr.gov.tubitak.uekae.esya.api.asn.x509.ECertificate;
import tr.gov.tubitak.uekae.esya.api.common.crypto.Algorithms;
import tr.gov.tubitak.uekae.esya.api.common.crypto.BaseSigner;
import tr.gov.tubitak.uekae.esya.api.smartcard.apdu.APDUSmartCard;

public class APDUSample {

	
	public static void main(String[] args) throws Exception {
		
		APDUSmartCard sc = new APDUSmartCard(); 
		long [] slots = sc.getSlotList();
		sc.openSession(slots[0]); 
		
		List<byte []> certs = sc.getSignatureCertificates(); 
		ECertificate cert = new ECertificate(certs.get(0));
		System.out.println(cert);
		
		BaseSigner signer = sc.getSigner(cert.asX509Certificate(),
										 Algorithms.SIGNATURE_RSA_SHA256); 	
		
			
	}
}
